<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>libgdamm: Gnome::Gda::Config Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">libgdamm
   &#160;<span id="projectnumber">4.99.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceGnome.html">Gnome</a></li><li class="navelem"><a class="el" href="namespaceGnome_1_1Gda.html">Gda</a></li><li class="navelem"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Config</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#related">Related Functions</a> &#124;
<a href="classGnome_1_1Gda_1_1Config-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Gnome::Gda::Config Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Configuration — Access/Management of libgda configuration.  
 <a href="classGnome_1_1Gda_1_1Config.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for Gnome::Gda::Config:</div>
<div class="dyncontent">
<div class="center"><img src="classGnome_1_1Gda_1_1Config__inherit__graph.png" border="0" usemap="#Gnome_1_1Gda_1_1Config_inherit__map" alt="Inheritance graph"/></div>
<map name="Gnome_1_1Gda_1_1Config_inherit__map" id="Gnome_1_1Gda_1_1Config_inherit__map">
<area shape="rect" id="node2" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html" title="Glib::Object" alt="" coords="29,155,118,181"/><area shape="rect" id="node3" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html" title="Glib::ObjectBase" alt="" coords="14,80,133,107"/><area shape="rect" id="node4" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html" title="sigc::trackable" alt="" coords="21,5,125,32"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Gnome::Gda::Config:</div>
<div class="dyncontent">
<div class="center"><img src="classGnome_1_1Gda_1_1Config__coll__graph.png" border="0" usemap="#Gnome_1_1Gda_1_1Config_coll__map" alt="Collaboration graph"/></div>
<map name="Gnome_1_1Gda_1_1Config_coll__map" id="Gnome_1_1Gda_1_1Config_coll__map">
<area shape="rect" id="node2" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html" title="Glib::Object" alt="" coords="29,155,118,181"/><area shape="rect" id="node3" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html" title="Glib::ObjectBase" alt="" coords="14,80,133,107"/><area shape="rect" id="node4" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html" title="sigc::trackable" alt="" coords="21,5,125,32"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a988750dc7f4f2166fb724ac6d2150d94"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a988750dc7f4f2166fb724ac6d2150d94">Config</a> (<a class="el" href="classGnome_1_1Gda_1_1Config.html">Config</a>&amp;&amp; src) noexcept</td></tr>
<tr class="separator:a988750dc7f4f2166fb724ac6d2150d94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c7ff7b9c8d5c2e86125d986d641caad"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Config</a>&amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a0c7ff7b9c8d5c2e86125d986d641caad">operator=</a> (<a class="el" href="classGnome_1_1Gda_1_1Config.html">Config</a>&amp;&amp; src) noexcept</td></tr>
<tr class="separator:a0c7ff7b9c8d5c2e86125d986d641caad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74a4a3d121fb1f6d797c8bc38c8e4b2f"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a74a4a3d121fb1f6d797c8bc38c8e4b2f">~Config</a> () noexcept</td></tr>
<tr class="separator:a74a4a3d121fb1f6d797c8bc38c8e4b2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8682ae1b8d6a33a6c89e04b893b191f4"><td class="memItemLeft" align="right" valign="top">GdaConfig*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a8682ae1b8d6a33a6c89e04b893b191f4">gobj</a> ()</td></tr>
<tr class="memdesc:a8682ae1b8d6a33a6c89e04b893b191f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Provides access to the underlying C GObject.  <a href="#a8682ae1b8d6a33a6c89e04b893b191f4">More...</a><br /></td></tr>
<tr class="separator:a8682ae1b8d6a33a6c89e04b893b191f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad241d321edb90054bb6dfbe74574db10"><td class="memItemLeft" align="right" valign="top">const GdaConfig*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#ad241d321edb90054bb6dfbe74574db10">gobj</a> () const </td></tr>
<tr class="memdesc:ad241d321edb90054bb6dfbe74574db10"><td class="mdescLeft">&#160;</td><td class="mdescRight">Provides access to the underlying C GObject.  <a href="#ad241d321edb90054bb6dfbe74574db10">More...</a><br /></td></tr>
<tr class="separator:ad241d321edb90054bb6dfbe74574db10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14746d8d642a927b61ccdbe5293f72e9"><td class="memItemLeft" align="right" valign="top">GdaConfig*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a14746d8d642a927b61ccdbe5293f72e9">gobj_copy</a> ()</td></tr>
<tr class="memdesc:a14746d8d642a927b61ccdbe5293f72e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.  <a href="#a14746d8d642a927b61ccdbe5293f72e9">More...</a><br /></td></tr>
<tr class="separator:a14746d8d642a927b61ccdbe5293f72e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29ebaa10aef1604551ffcf5d9790b414"><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1SignalProxy1.html">Glib::SignalProxy1</a>&lt; void, GdaDsnInfo* &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a29ebaa10aef1604551ffcf5d9790b414">signal_dsn_added</a> ()</td></tr>
<tr class="separator:a29ebaa10aef1604551ffcf5d9790b414"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55a690e6540928812c8b63fa03855a52"><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1SignalProxy1.html">Glib::SignalProxy1</a>&lt; void, GdaDsnInfo* &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a55a690e6540928812c8b63fa03855a52">signal_dsn_changed</a> ()</td></tr>
<tr class="separator:a55a690e6540928812c8b63fa03855a52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc9b066345330c7010deec48ac7204e5"><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1SignalProxy1.html">Glib::SignalProxy1</a>&lt; void, GdaDsnInfo* &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#acc9b066345330c7010deec48ac7204e5">signal_dsn_removed</a> ()</td></tr>
<tr class="separator:acc9b066345330c7010deec48ac7204e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a356d69a8355f0ba7403ee9b6c7c1e56e"><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1SignalProxy1.html">Glib::SignalProxy1</a>&lt; void, GdaDsnInfo* &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a356d69a8355f0ba7403ee9b6c7c1e56e">signal_dsn_to_be_removed</a> ()</td></tr>
<tr class="separator:a356d69a8355f0ba7403ee9b6c7c1e56e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69fb2a20a5d85452bf716aa6f34d8bca"><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1PropertyProxy.html">Glib::PropertyProxy</a>&lt; <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a69fb2a20a5d85452bf716aa6f34d8bca">property_system_filename</a> ()</td></tr>
<tr class="memdesc:a69fb2a20a5d85452bf716aa6f34d8bca"><td class="mdescLeft">&#160;</td><td class="mdescRight">File to use for system-wide DSN list.  <a href="#a69fb2a20a5d85452bf716aa6f34d8bca">More...</a><br /></td></tr>
<tr class="separator:a69fb2a20a5d85452bf716aa6f34d8bca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72995aac1045c806353f80ee6a468118"><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1PropertyProxy__ReadOnly.html">Glib::PropertyProxy_ReadOnly</a>&lt; <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a72995aac1045c806353f80ee6a468118">property_system_filename</a> () const </td></tr>
<tr class="memdesc:a72995aac1045c806353f80ee6a468118"><td class="mdescLeft">&#160;</td><td class="mdescRight">File to use for system-wide DSN list.  <a href="#a72995aac1045c806353f80ee6a468118">More...</a><br /></td></tr>
<tr class="separator:a72995aac1045c806353f80ee6a468118"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34487602237d63b2284e968ecbdc3831"><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1PropertyProxy.html">Glib::PropertyProxy</a>&lt; <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a34487602237d63b2284e968ecbdc3831">property_user_filename</a> ()</td></tr>
<tr class="memdesc:a34487602237d63b2284e968ecbdc3831"><td class="mdescLeft">&#160;</td><td class="mdescRight">File to use for per-user DSN list.  <a href="#a34487602237d63b2284e968ecbdc3831">More...</a><br /></td></tr>
<tr class="separator:a34487602237d63b2284e968ecbdc3831"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a493c1e20b5a65d297612d1e8486ac075"><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1PropertyProxy__ReadOnly.html">Glib::PropertyProxy_ReadOnly</a>&lt; <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a493c1e20b5a65d297612d1e8486ac075">property_user_filename</a> () const </td></tr>
<tr class="memdesc:a493c1e20b5a65d297612d1e8486ac075"><td class="mdescLeft">&#160;</td><td class="mdescRight">File to use for per-user DSN list.  <a href="#a493c1e20b5a65d297612d1e8486ac075">More...</a><br /></td></tr>
<tr class="separator:a493c1e20b5a65d297612d1e8486ac075"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classGlib_1_1Object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classGlib_1_1Object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td></tr>
<tr class="memitem:a0127f43140e01d6a6731d42f9419be27 inherit pub_methods_classGlib_1_1Object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#a0127f43140e01d6a6731d42f9419be27">Object</a> (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Object</a> &amp;)=delete</td></tr>
<tr class="separator:a0127f43140e01d6a6731d42f9419be27 inherit pub_methods_classGlib_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7081561a5684709718fdf8c1875c56c0 inherit pub_methods_classGlib_1_1Object"><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Object</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#a7081561a5684709718fdf8c1875c56c0">operator=</a> (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Object</a> &amp;)=delete</td></tr>
<tr class="separator:a7081561a5684709718fdf8c1875c56c0 inherit pub_methods_classGlib_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a473ee068b40d5c949cee2c721d720c9a inherit pub_methods_classGlib_1_1Object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#a473ee068b40d5c949cee2c721d720c9a">Object</a> (<a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Object</a> &amp;&amp;src) noexcept</td></tr>
<tr class="separator:a473ee068b40d5c949cee2c721d720c9a inherit pub_methods_classGlib_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2855131d475e54294dc34573f12ca9a0 inherit pub_methods_classGlib_1_1Object"><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Object</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#a2855131d475e54294dc34573f12ca9a0">operator=</a> (<a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Object</a> &amp;&amp;src) noexcept</td></tr>
<tr class="separator:a2855131d475e54294dc34573f12ca9a0 inherit pub_methods_classGlib_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e6581bcbcc6197cca07df24bb91c492 inherit pub_methods_classGlib_1_1Object"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#a0e6581bcbcc6197cca07df24bb91c492">get_data</a> (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1QueryQuark.html">QueryQuark</a> &amp;key)</td></tr>
<tr class="separator:a0e6581bcbcc6197cca07df24bb91c492 inherit pub_methods_classGlib_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afff7a375a862f3f899daaa99710122fa inherit pub_methods_classGlib_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#afff7a375a862f3f899daaa99710122fa">set_data</a> (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Quark.html">Quark</a> &amp;key, void *data)</td></tr>
<tr class="separator:afff7a375a862f3f899daaa99710122fa inherit pub_methods_classGlib_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1febe3bae2dd71756e98e523cd33c1b4 inherit pub_methods_classGlib_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#a1febe3bae2dd71756e98e523cd33c1b4">set_data</a> (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Quark.html">Quark</a> &amp;key, void *data, <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#ace6b5aedc84260604ba591df58f45b2e">DestroyNotify</a> notify)</td></tr>
<tr class="separator:a1febe3bae2dd71756e98e523cd33c1b4 inherit pub_methods_classGlib_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aada5b50844bda7ee02bed0ae2a715c00 inherit pub_methods_classGlib_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#aada5b50844bda7ee02bed0ae2a715c00">remove_data</a> (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1QueryQuark.html">QueryQuark</a> &amp;quark)</td></tr>
<tr class="separator:aada5b50844bda7ee02bed0ae2a715c00 inherit pub_methods_classGlib_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab454f71bd74403b0cc46d3cbbedd6b0e inherit pub_methods_classGlib_1_1Object"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#ab454f71bd74403b0cc46d3cbbedd6b0e">steal_data</a> (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1QueryQuark.html">QueryQuark</a> &amp;quark)</td></tr>
<tr class="separator:ab454f71bd74403b0cc46d3cbbedd6b0e inherit pub_methods_classGlib_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4dea9a8dc611d6e4400a5b6a3cb4e7f inherit pub_methods_classGlib_1_1Object"><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1RefPtr.html">Glib::RefPtr</a>&lt; <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#ae4dea9a8dc611d6e4400a5b6a3cb4e7f">wrap</a> (GObject *object, bool take_copy=false)</td></tr>
<tr class="separator:ae4dea9a8dc611d6e4400a5b6a3cb4e7f inherit pub_methods_classGlib_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classGlib_1_1ObjectBase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classGlib_1_1ObjectBase')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td></tr>
<tr class="memitem:aaf0e140e7192dcecddd9f57c46825434 inherit pub_methods_classGlib_1_1ObjectBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#aaf0e140e7192dcecddd9f57c46825434">ObjectBase</a> (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">ObjectBase</a> &amp;)=delete</td></tr>
<tr class="separator:aaf0e140e7192dcecddd9f57c46825434 inherit pub_methods_classGlib_1_1ObjectBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15f8834a320eac98dc1c1b8a9a2fd4c1 inherit pub_methods_classGlib_1_1ObjectBase"><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">ObjectBase</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a15f8834a320eac98dc1c1b8a9a2fd4c1">operator=</a> (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">ObjectBase</a> &amp;)=delete</td></tr>
<tr class="separator:a15f8834a320eac98dc1c1b8a9a2fd4c1 inherit pub_methods_classGlib_1_1ObjectBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab599d3eec4b4a9ddc95ccdc6100053d inherit pub_methods_classGlib_1_1ObjectBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#aab599d3eec4b4a9ddc95ccdc6100053d">set_property_value</a> (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a> &amp;property_name, const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ValueBase.html">Glib::ValueBase</a> &amp;value)</td></tr>
<tr class="separator:aab599d3eec4b4a9ddc95ccdc6100053d inherit pub_methods_classGlib_1_1ObjectBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e30750441b92f0246c9d4ece95fc8a0 inherit pub_methods_classGlib_1_1ObjectBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a5e30750441b92f0246c9d4ece95fc8a0">get_property_value</a> (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a> &amp;property_name, <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ValueBase.html">Glib::ValueBase</a> &amp;value) const </td></tr>
<tr class="separator:a5e30750441b92f0246c9d4ece95fc8a0 inherit pub_methods_classGlib_1_1ObjectBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad37844f7ea2c0091a22d011e04c48820 inherit pub_methods_classGlib_1_1ObjectBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#ad37844f7ea2c0091a22d011e04c48820">set_property</a> (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a> &amp;property_name, const PropertyType &amp;value)</td></tr>
<tr class="separator:ad37844f7ea2c0091a22d011e04c48820 inherit pub_methods_classGlib_1_1ObjectBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f894c9c36ad391fdc85552af67a8530 inherit pub_methods_classGlib_1_1ObjectBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a5f894c9c36ad391fdc85552af67a8530">get_property</a> (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a> &amp;property_name, PropertyType &amp;value) const </td></tr>
<tr class="separator:a5f894c9c36ad391fdc85552af67a8530 inherit pub_methods_classGlib_1_1ObjectBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc6c1e8f094275114d6e2c3ef3a33f98 inherit pub_methods_classGlib_1_1ObjectBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#adc6c1e8f094275114d6e2c3ef3a33f98">connect_property_changed</a> (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a> &amp;property_name, const <a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/classsigc_1_1slot.html">sigc::slot</a>&lt; void &gt; &amp;slot)</td></tr>
<tr class="separator:adc6c1e8f094275114d6e2c3ef3a33f98 inherit pub_methods_classGlib_1_1ObjectBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a896d7773c00bd2dcd310c861282ee8d1 inherit pub_methods_classGlib_1_1ObjectBase"><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1connection.html">sigc::connection</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a896d7773c00bd2dcd310c861282ee8d1">connect_property_changed_with_return</a> (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a> &amp;property_name, const <a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/classsigc_1_1slot.html">sigc::slot</a>&lt; void &gt; &amp;slot)</td></tr>
<tr class="separator:a896d7773c00bd2dcd310c861282ee8d1 inherit pub_methods_classGlib_1_1ObjectBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e9e13b75f116c20212d318204ce8ea3 inherit pub_methods_classGlib_1_1ObjectBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a6e9e13b75f116c20212d318204ce8ea3">freeze_notify</a> ()</td></tr>
<tr class="separator:a6e9e13b75f116c20212d318204ce8ea3 inherit pub_methods_classGlib_1_1ObjectBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bd8ea7bd8c4084ade6b3c27dddf06a4 inherit pub_methods_classGlib_1_1ObjectBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a1bd8ea7bd8c4084ade6b3c27dddf06a4">thaw_notify</a> ()</td></tr>
<tr class="separator:a1bd8ea7bd8c4084ade6b3c27dddf06a4 inherit pub_methods_classGlib_1_1ObjectBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a896a8a5db20043ea82956e3ef4b9c4ae inherit pub_methods_classGlib_1_1ObjectBase"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a896a8a5db20043ea82956e3ef4b9c4ae">reference</a> () const </td></tr>
<tr class="separator:a896a8a5db20043ea82956e3ef4b9c4ae inherit pub_methods_classGlib_1_1ObjectBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3234b8ffb2a35b927e2978c8f3bfbfe3 inherit pub_methods_classGlib_1_1ObjectBase"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a3234b8ffb2a35b927e2978c8f3bfbfe3">unreference</a> () const </td></tr>
<tr class="separator:a3234b8ffb2a35b927e2978c8f3bfbfe3 inherit pub_methods_classGlib_1_1ObjectBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c6efc18be8cb9c56e58fc0bd20fafbe inherit pub_methods_classGlib_1_1ObjectBase"><td class="memItemLeft" align="right" valign="top">GObject *&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a4c6efc18be8cb9c56e58fc0bd20fafbe">gobj</a> ()</td></tr>
<tr class="separator:a4c6efc18be8cb9c56e58fc0bd20fafbe inherit pub_methods_classGlib_1_1ObjectBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a778a94181132976bbfb0519793f3b32e inherit pub_methods_classGlib_1_1ObjectBase"><td class="memItemLeft" align="right" valign="top">const GObject *&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a778a94181132976bbfb0519793f3b32e">gobj</a> () const </td></tr>
<tr class="separator:a778a94181132976bbfb0519793f3b32e inherit pub_methods_classGlib_1_1ObjectBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b2a5eb93102f1849e5419016e22a15f inherit pub_methods_classGlib_1_1ObjectBase"><td class="memItemLeft" align="right" valign="top">GObject *&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a9b2a5eb93102f1849e5419016e22a15f">gobj_copy</a> () const </td></tr>
<tr class="separator:a9b2a5eb93102f1849e5419016e22a15f inherit pub_methods_classGlib_1_1ObjectBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_structsigc_1_1trackable"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_structsigc_1_1trackable')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td></tr>
<tr class="memitem:a09f5b2fe24c2ac1da8322ed0ea1553ea inherit pub_methods_structsigc_1_1trackable"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a09f5b2fe24c2ac1da8322ed0ea1553ea">trackable</a> ()</td></tr>
<tr class="separator:a09f5b2fe24c2ac1da8322ed0ea1553ea inherit pub_methods_structsigc_1_1trackable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7efefbcab4645648a366da3439242198 inherit pub_methods_structsigc_1_1trackable"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a7efefbcab4645648a366da3439242198">trackable</a> (const <a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">trackable</a> &amp;src)</td></tr>
<tr class="separator:a7efefbcab4645648a366da3439242198 inherit pub_methods_structsigc_1_1trackable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a6ff5a4d7c51cede2117525f470f96a inherit pub_methods_structsigc_1_1trackable"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a9a6ff5a4d7c51cede2117525f470f96a">trackable</a> (<a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">trackable</a> &amp;&amp;src) noexcept</td></tr>
<tr class="separator:a9a6ff5a4d7c51cede2117525f470f96a inherit pub_methods_structsigc_1_1trackable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75587da09e30031db7a2519843f1f4fb inherit pub_methods_structsigc_1_1trackable"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a75587da09e30031db7a2519843f1f4fb">~trackable</a> ()</td></tr>
<tr class="separator:a75587da09e30031db7a2519843f1f4fb inherit pub_methods_structsigc_1_1trackable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab14931670837728e49bb5ca88fb16db5 inherit pub_methods_structsigc_1_1trackable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#ab14931670837728e49bb5ca88fb16db5">add_destroy_notify_callback</a> (void *data, <a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a3338954d7565534bd945290b798e13ed">func_destroy_notify</a> func) const </td></tr>
<tr class="separator:ab14931670837728e49bb5ca88fb16db5 inherit pub_methods_structsigc_1_1trackable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2e23cfe7adc1ca844a3350bbac557cb inherit pub_methods_structsigc_1_1trackable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#af2e23cfe7adc1ca844a3350bbac557cb">notify_callbacks</a> ()</td></tr>
<tr class="separator:af2e23cfe7adc1ca844a3350bbac557cb inherit pub_methods_structsigc_1_1trackable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7494fbad23a65932ff1457d00d4edaf5 inherit pub_methods_structsigc_1_1trackable"><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">trackable</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a7494fbad23a65932ff1457d00d4edaf5">operator=</a> (const <a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">trackable</a> &amp;src)</td></tr>
<tr class="separator:a7494fbad23a65932ff1457d00d4edaf5 inherit pub_methods_structsigc_1_1trackable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a400b5799372238211a4437844d923a4e inherit pub_methods_structsigc_1_1trackable"><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">trackable</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a400b5799372238211a4437844d923a4e">operator=</a> (<a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">trackable</a> &amp;&amp;src) noexcept</td></tr>
<tr class="separator:a400b5799372238211a4437844d923a4e inherit pub_methods_structsigc_1_1trackable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b9dffa8a50ff13ba33e6c7f10468e2b inherit pub_methods_structsigc_1_1trackable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a8b9dffa8a50ff13ba33e6c7f10468e2b">remove_destroy_notify_callback</a> (void *data) const </td></tr>
<tr class="separator:a8b9dffa8a50ff13ba33e6c7f10468e2b inherit pub_methods_structsigc_1_1trackable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a3d80c8258b9102c66ccb8daed49e6a0a"><td class="memItemLeft" align="right" valign="top">static GType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a3d80c8258b9102c66ccb8daed49e6a0a">get_type</a> ()</td></tr>
<tr class="memdesc:a3d80c8258b9102c66ccb8daed49e6a0a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the GType for this class, for use with the underlying GObject type system.  <a href="#a3d80c8258b9102c66ccb8daed49e6a0a">More...</a><br /></td></tr>
<tr class="separator:a3d80c8258b9102c66ccb8daed49e6a0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af56c2db8ac6e2b0505c93609c98da0cc"><td class="memItemLeft" align="right" valign="top">static <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1RefPtr.html">Glib::RefPtr</a>&lt; <a class="el" href="classGnome_1_1Gda_1_1Config.html">Config</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#af56c2db8ac6e2b0505c93609c98da0cc">get</a> ()</td></tr>
<tr class="memdesc:af56c2db8ac6e2b0505c93609c98da0cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a pointer to the global GdaConfig object.  <a href="#af56c2db8ac6e2b0505c93609c98da0cc">More...</a><br /></td></tr>
<tr class="separator:af56c2db8ac6e2b0505c93609c98da0cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a739788847a2c0359653d02738902eac4"><td class="memItemLeft" align="right" valign="top">static GdaDsnInfo*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a739788847a2c0359653d02738902eac4">get_dsn_info</a> (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a>&amp; dsn_name)</td></tr>
<tr class="memdesc:a739788847a2c0359653d02738902eac4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get information about the DSN named <em>dsn_name</em>.  <a href="#a739788847a2c0359653d02738902eac4">More...</a><br /></td></tr>
<tr class="separator:a739788847a2c0359653d02738902eac4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1961dc97c4ee0e623f84958b3ab6c9d"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#ac1961dc97c4ee0e623f84958b3ab6c9d">dsn_needs_authentication</a> (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a>&amp; dsn_name)</td></tr>
<tr class="memdesc:ac1961dc97c4ee0e623f84958b3ab6c9d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tells if the data source identified as <em>dsn_name</em> needs any authentication.  <a href="#ac1961dc97c4ee0e623f84958b3ab6c9d">More...</a><br /></td></tr>
<tr class="separator:ac1961dc97c4ee0e623f84958b3ab6c9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c9fed1bfcab0aab3402790b963bc169"><td class="memItemLeft" align="right" valign="top">static <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1RefPtr.html">Glib::RefPtr</a>&lt; <a class="el" href="classGnome_1_1Gda_1_1DataModel.html">DataModel</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a2c9fed1bfcab0aab3402790b963bc169">list_dsn</a> ()</td></tr>
<tr class="memdesc:a2c9fed1bfcab0aab3402790b963bc169"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a <a class="el" href="classGnome_1_1Gda_1_1DataModel.html" title="Abstract DataModel (Base class for all DataModels). ">Gda::DataModel</a> representing all the configured DSN, and keeping itself up to date with the changes in the declared DSN.  <a href="#a2c9fed1bfcab0aab3402790b963bc169">More...</a><br /></td></tr>
<tr class="separator:a2c9fed1bfcab0aab3402790b963bc169"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22f64d4c99627cd52c5e2754efc0ba78"><td class="memItemLeft" align="right" valign="top">static <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1RefPtr.html">Glib::RefPtr</a>&lt; <a class="el" href="classGnome_1_1Gda_1_1ServerProvider.html">ServerProvider</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a22f64d4c99627cd52c5e2754efc0ba78">get_provider</a> (const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a>&amp; provider_name)</td></tr>
<tr class="memdesc:a22f64d4c99627cd52c5e2754efc0ba78"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a pointer to the session-wide <a class="el" href="classGnome_1_1Gda_1_1ServerProvider.html" title="Base class for all the DBMS providers. ">Gda::ServerProvider</a> for the provider named <em>provider_name</em>.  <a href="#a22f64d4c99627cd52c5e2754efc0ba78">More...</a><br /></td></tr>
<tr class="separator:a22f64d4c99627cd52c5e2754efc0ba78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51c09ed94f02042e338ebed0f0aeeacf"><td class="memItemLeft" align="right" valign="top">static <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1RefPtr.html">Glib::RefPtr</a>&lt; <a class="el" href="classGnome_1_1Gda_1_1DataModel.html">DataModel</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a51c09ed94f02042e338ebed0f0aeeacf">list_providers</a> ()</td></tr>
<tr class="memdesc:a51c09ed94f02042e338ebed0f0aeeacf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a <a class="el" href="classGnome_1_1Gda_1_1DataModel.html" title="Abstract DataModel (Base class for all DataModels). ">Gda::DataModel</a> representing all the installed database providers.  <a href="#a51c09ed94f02042e338ebed0f0aeeacf">More...</a><br /></td></tr>
<tr class="separator:a51c09ed94f02042e338ebed0f0aeeacf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9fc60671d82d812dd019d89fa807998"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#af9fc60671d82d812dd019d89fa807998">get_nb_dsn</a> ()</td></tr>
<tr class="memdesc:af9fc60671d82d812dd019d89fa807998"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of defined DSN.  <a href="#af9fc60671d82d812dd019d89fa807998">More...</a><br /></td></tr>
<tr class="separator:af9fc60671d82d812dd019d89fa807998"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6163f71eb9c906e3eee4bd11e06d2256"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a6163f71eb9c906e3eee4bd11e06d2256">can_modify_system_config</a> ()</td></tr>
<tr class="memdesc:a6163f71eb9c906e3eee4bd11e06d2256"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tells if the global (system) configuration can be modified (considering system permissions and settings)  <a href="#a6163f71eb9c906e3eee4bd11e06d2256">More...</a><br /></td></tr>
<tr class="separator:a6163f71eb9c906e3eee4bd11e06d2256"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:ab630f9d613a7c246d7c22f9b7d9418cf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#ab630f9d613a7c246d7c22f9b7d9418cf">Config</a> ()</td></tr>
<tr class="separator:ab630f9d613a7c246d7c22f9b7d9418cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classGlib_1_1Object"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classGlib_1_1Object')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td></tr>
<tr class="memitem:ad43f7c5ad0336e1eb3af622392a112eb inherit pro_methods_classGlib_1_1Object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#ad43f7c5ad0336e1eb3af622392a112eb">Object</a> ()</td></tr>
<tr class="separator:ad43f7c5ad0336e1eb3af622392a112eb inherit pro_methods_classGlib_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d72588496bd7ac03f72420021fb94a5 inherit pro_methods_classGlib_1_1Object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#a6d72588496bd7ac03f72420021fb94a5">Object</a> (const Glib::ConstructParams &amp;construct_params)</td></tr>
<tr class="separator:a6d72588496bd7ac03f72420021fb94a5 inherit pro_methods_classGlib_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f490eeaeb71db673c36799a0f729be5 inherit pro_methods_classGlib_1_1Object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#a6f490eeaeb71db673c36799a0f729be5">Object</a> (GObject *castitem)</td></tr>
<tr class="separator:a6f490eeaeb71db673c36799a0f729be5 inherit pro_methods_classGlib_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca9f9705c065c26621b7745d40f5b344 inherit pro_methods_classGlib_1_1Object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#aca9f9705c065c26621b7745d40f5b344">~Object</a> () noexcept</td></tr>
<tr class="separator:aca9f9705c065c26621b7745d40f5b344 inherit pro_methods_classGlib_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classGlib_1_1ObjectBase"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classGlib_1_1ObjectBase')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td></tr>
<tr class="memitem:a27d3451d9ca28d6a2f00838d7c56d545 inherit pro_methods_classGlib_1_1ObjectBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a27d3451d9ca28d6a2f00838d7c56d545">ObjectBase</a> ()</td></tr>
<tr class="separator:a27d3451d9ca28d6a2f00838d7c56d545 inherit pro_methods_classGlib_1_1ObjectBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4ef18214894c6874579313ab21d1018 inherit pro_methods_classGlib_1_1ObjectBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#ad4ef18214894c6874579313ab21d1018">ObjectBase</a> (const char *custom_type_name)</td></tr>
<tr class="separator:ad4ef18214894c6874579313ab21d1018 inherit pro_methods_classGlib_1_1ObjectBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d59b4d85b0ee72a727e6b2e1b31a2ff inherit pro_methods_classGlib_1_1ObjectBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a3d59b4d85b0ee72a727e6b2e1b31a2ff">ObjectBase</a> (const <a class="elRef" doxygen="libstdc++.tag:http://gcc.gnu.org/onlinedocs/libstdc++/latest-doxygen/" href="http://gcc.gnu.org/onlinedocs/libstdc++/latest-doxygen/a00947.html">std::type_info</a> &amp;custom_type_info)</td></tr>
<tr class="separator:a3d59b4d85b0ee72a727e6b2e1b31a2ff inherit pro_methods_classGlib_1_1ObjectBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e2e177061f6a6e09c4cf3da49c6dfd3 inherit pro_methods_classGlib_1_1ObjectBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a7e2e177061f6a6e09c4cf3da49c6dfd3">ObjectBase</a> (<a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">ObjectBase</a> &amp;&amp;src) noexcept</td></tr>
<tr class="separator:a7e2e177061f6a6e09c4cf3da49c6dfd3 inherit pro_methods_classGlib_1_1ObjectBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e968f118314ba4d5debfd2850d18003 inherit pro_methods_classGlib_1_1ObjectBase"><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">ObjectBase</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a2e968f118314ba4d5debfd2850d18003">operator=</a> (<a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">ObjectBase</a> &amp;&amp;src) noexcept</td></tr>
<tr class="separator:a2e968f118314ba4d5debfd2850d18003 inherit pro_methods_classGlib_1_1ObjectBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae56ec45e9ebeaacf24be4fb54ed2eea3 inherit pro_methods_classGlib_1_1ObjectBase"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#ae56ec45e9ebeaacf24be4fb54ed2eea3">~ObjectBase</a> () noexcept=0</td></tr>
<tr class="separator:ae56ec45e9ebeaacf24be4fb54ed2eea3 inherit pro_methods_classGlib_1_1ObjectBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3faafb14c4f0ca60fbf0f5f5c4d549d0 inherit pro_methods_classGlib_1_1ObjectBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a3faafb14c4f0ca60fbf0f5f5c4d549d0">initialize</a> (GObject *castitem)</td></tr>
<tr class="separator:a3faafb14c4f0ca60fbf0f5f5c4d549d0 inherit pro_methods_classGlib_1_1ObjectBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44ddc123cd98ed0083aa06364365c8d3 inherit pro_methods_classGlib_1_1ObjectBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a44ddc123cd98ed0083aa06364365c8d3">initialize_move</a> (GObject *castitem, <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a> *previous_wrapper)</td></tr>
<tr class="separator:a44ddc123cd98ed0083aa06364365c8d3 inherit pro_methods_classGlib_1_1ObjectBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="related"></a>
Related Functions</h2></td></tr>
<tr><td class="ititle" colspan="2"><p>(Note that these are not member functions.) </p>
</td></tr>
<tr class="memitem:a9cc59aee36fd6f4f7e2e8a2fb2661993"><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1RefPtr.html">Glib::RefPtr</a>&lt; <a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGnome_1_1Gda_1_1Config.html#a9cc59aee36fd6f4f7e2e8a2fb2661993">wrap</a> (GdaConfig* object, bool take_copy=false)</td></tr>
<tr class="memdesc:a9cc59aee36fd6f4f7e2e8a2fb2661993"><td class="mdescLeft">&#160;</td><td class="mdescRight">A <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/namespaceGlib.html#a671306f4a3a0cae5ab4d7a9d54886592">Glib::wrap()</a> method for this object.  <a href="#a9cc59aee36fd6f4f7e2e8a2fb2661993">More...</a><br /></td></tr>
<tr class="separator:a9cc59aee36fd6f4f7e2e8a2fb2661993"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classGlib_1_1Object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classGlib_1_1Object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td></tr>
<tr class="memitem:ace6b5aedc84260604ba591df58f45b2e inherit pub_types_classGlib_1_1Object"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#ace6b5aedc84260604ba591df58f45b2e">DestroyNotify</a>) (gpointer data)</td></tr>
<tr class="separator:ace6b5aedc84260604ba591df58f45b2e inherit pub_types_classGlib_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_structsigc_1_1trackable"><td colspan="2" onclick="javascript:toggleInherit('pub_types_structsigc_1_1trackable')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td></tr>
<tr class="memitem:a3338954d7565534bd945290b798e13ed inherit pub_types_structsigc_1_1trackable"><td class="memItemLeft" align="right" valign="top">typedef internal::func_destroy_notify&#160;</td><td class="memItemRight" valign="bottom"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a3338954d7565534bd945290b798e13ed">func_destroy_notify</a></td></tr>
<tr class="separator:a3338954d7565534bd945290b798e13ed inherit pub_types_structsigc_1_1trackable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Configuration — Access/Management of libgda configuration. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a988750dc7f4f2166fb724ac6d2150d94"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Gnome::Gda::Config::Config </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Config</a>&amp;&amp;&#160;</td>
          <td class="paramname"><em>src</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a74a4a3d121fb1f6d797c8bc38c8e4b2f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Gnome::Gda::Config::~Config </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ab630f9d613a7c246d7c22f9b7d9418cf"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Gnome::Gda::Config::Config </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a6163f71eb9c906e3eee4bd11e06d2256"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool Gnome::Gda::Config::can_modify_system_config </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Tells if the global (system) configuration can be modified (considering system permissions and settings) </p>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> if system-wide configuration can be modified. </dd></dl>

</div>
</div>
<a class="anchor" id="ac1961dc97c4ee0e623f84958b3ab6c9d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool Gnome::Gda::Config::dsn_needs_authentication </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a> &amp;&#160;</td>
          <td class="paramname"><em>dsn_name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Tells if the data source identified as <em>dsn_name</em> needs any authentication. </p>
<p>If a &lt;username&gt; and optionally a &lt;password&gt; are specified, they are ignored.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dsn_name</td><td>The name of a DSN, in the "[&lt;username&gt;[:&lt;password&gt;]@]&lt;DSN&gt;" format. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> if an authentication is needed. </dd></dl>

</div>
</div>
<a class="anchor" id="af56c2db8ac6e2b0505c93609c98da0cc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1RefPtr.html">Glib::RefPtr</a>&lt;<a class="el" href="classGnome_1_1Gda_1_1Config.html">Config</a>&gt; Gnome::Gda::Config::get </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get a pointer to the global GdaConfig object. </p>
<dl class="section return"><dt>Returns</dt><dd>A non <code>0</code> pointer to a <a class="el" href="classGnome_1_1Gda_1_1Config.html" title="Configuration — Access/Management of libgda configuration. ">Gda::Config</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a739788847a2c0359653d02738902eac4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static GdaDsnInfo* Gnome::Gda::Config::get_dsn_info </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a> &amp;&#160;</td>
          <td class="paramname"><em>dsn_name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get information about the DSN named <em>dsn_name</em>. </p>
<p><em>dsn_name's</em> format is "[&lt;username&gt;[:&lt;password&gt;]@]&lt;DSN&gt;" (if &lt;username&gt; and optionally &lt;password&gt; are provided, they are ignored). Also see the gda_dsn_split() utility function.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dsn_name</td><td>The name of the DSN to look for. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A pointer to read-only Gda::DsnInfo structure, or <code>0</code> if not found. </dd></dl>

</div>
</div>
<a class="anchor" id="af9fc60671d82d812dd019d89fa807998"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int Gnome::Gda::Config::get_nb_dsn </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the number of defined DSN. </p>
<dl class="section return"><dt>Returns</dt><dd>The number of defined DSN. </dd></dl>

</div>
</div>
<a class="anchor" id="a22f64d4c99627cd52c5e2754efc0ba78"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1RefPtr.html">Glib::RefPtr</a>&lt;<a class="el" href="classGnome_1_1Gda_1_1ServerProvider.html">ServerProvider</a>&gt; Gnome::Gda::Config::get_provider </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a> &amp;&#160;</td>
          <td class="paramname"><em>provider_name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get a pointer to the session-wide <a class="el" href="classGnome_1_1Gda_1_1ServerProvider.html" title="Base class for all the DBMS providers. ">Gda::ServerProvider</a> for the provider named <em>provider_name</em>. </p>
<p>The caller must not call Glib::object_unref() on the returned object.</p>
<p>This method may fail with a Gda::CONFIG_ERROR domain error (see the <a class="el" href="classGnome_1_1Gda_1_1ConfigError.html">Gda::ConfigError</a> error codes).</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">provider_name</td><td>A database provider. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A pointer to the <a class="el" href="classGnome_1_1Gda_1_1ServerProvider.html" title="Base class for all the DBMS providers. ">Gda::ServerProvider</a>, or <code>0</code> if an error occurred. </dd></dl>

</div>
</div>
<a class="anchor" id="a3d80c8258b9102c66ccb8daed49e6a0a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static GType Gnome::Gda::Config::get_type </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the GType for this class, for use with the underlying GObject type system. </p>

</div>
</div>
<a class="anchor" id="a8682ae1b8d6a33a6c89e04b893b191f4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">GdaConfig* Gnome::Gda::Config::gobj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Provides access to the underlying C GObject. </p>

</div>
</div>
<a class="anchor" id="ad241d321edb90054bb6dfbe74574db10"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const GdaConfig* Gnome::Gda::Config::gobj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Provides access to the underlying C GObject. </p>

</div>
</div>
<a class="anchor" id="a14746d8d642a927b61ccdbe5293f72e9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GdaConfig* Gnome::Gda::Config::gobj_copy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. </p>

</div>
</div>
<a class="anchor" id="a2c9fed1bfcab0aab3402790b963bc169"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1RefPtr.html">Glib::RefPtr</a>&lt;<a class="el" href="classGnome_1_1Gda_1_1DataModel.html">DataModel</a>&gt; Gnome::Gda::Config::list_dsn </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get a <a class="el" href="classGnome_1_1Gda_1_1DataModel.html" title="Abstract DataModel (Base class for all DataModels). ">Gda::DataModel</a> representing all the configured DSN, and keeping itself up to date with the changes in the declared DSN. </p>
<p>The returned data model is composed of the following columns:</p><ul>
<li>DSN name</li>
<li>Provider name</li>
<li>Description</li>
<li><a class="el" href="classGnome_1_1Gda_1_1Connection.html" title="Manages a connection to a data source. ">Connection</a> string</li>
<li>Username if it exists</li>
</ul>
<dl class="section return"><dt>Returns</dt><dd>A new <a class="el" href="classGnome_1_1Gda_1_1DataModel.html" title="Abstract DataModel (Base class for all DataModels). ">Gda::DataModel</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a51c09ed94f02042e338ebed0f0aeeacf"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1RefPtr.html">Glib::RefPtr</a>&lt;<a class="el" href="classGnome_1_1Gda_1_1DataModel.html">DataModel</a>&gt; Gnome::Gda::Config::list_providers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get a <a class="el" href="classGnome_1_1Gda_1_1DataModel.html" title="Abstract DataModel (Base class for all DataModels). ">Gda::DataModel</a> representing all the installed database providers. </p>
<p>The returned data model is composed of the following columns:</p><ul>
<li>Provider name</li>
<li>Description</li>
<li>DSN parameters</li>
<li>Authentication parameters</li>
<li>File name of the plugin</li>
</ul>
<dl class="section return"><dt>Returns</dt><dd>A new <a class="el" href="classGnome_1_1Gda_1_1DataModel.html" title="Abstract DataModel (Base class for all DataModels). ">Gda::DataModel</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a0c7ff7b9c8d5c2e86125d986d641caad"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Config</a>&amp; Gnome::Gda::Config::operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classGnome_1_1Gda_1_1Config.html">Config</a>&amp;&amp;&#160;</td>
          <td class="paramname"><em>src</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a69fb2a20a5d85452bf716aa6f34d8bca"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1PropertyProxy.html">Glib::PropertyProxy</a>&lt; <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a> &gt; Gnome::Gda::Config::property_system_filename </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>File to use for system-wide DSN list. </p>
<dl class="section return"><dt>Returns</dt><dd>A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes. </dd></dl>

</div>
</div>
<a class="anchor" id="a72995aac1045c806353f80ee6a468118"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1PropertyProxy__ReadOnly.html">Glib::PropertyProxy_ReadOnly</a>&lt; <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a> &gt; Gnome::Gda::Config::property_system_filename </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>File to use for system-wide DSN list. </p>
<dl class="section return"><dt>Returns</dt><dd>A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes. </dd></dl>

</div>
</div>
<a class="anchor" id="a34487602237d63b2284e968ecbdc3831"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1PropertyProxy.html">Glib::PropertyProxy</a>&lt; <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a> &gt; Gnome::Gda::Config::property_user_filename </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>File to use for per-user DSN list. </p>
<dl class="section return"><dt>Returns</dt><dd>A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes. </dd></dl>

</div>
</div>
<a class="anchor" id="a493c1e20b5a65d297612d1e8486ac075"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1PropertyProxy__ReadOnly.html">Glib::PropertyProxy_ReadOnly</a>&lt; <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ustring.html">Glib::ustring</a> &gt; Gnome::Gda::Config::property_user_filename </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>File to use for per-user DSN list. </p>
<dl class="section return"><dt>Returns</dt><dd>A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes. </dd></dl>

</div>
</div>
<a class="anchor" id="a29ebaa10aef1604551ffcf5d9790b414"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1SignalProxy1.html">Glib::SignalProxy1</a>&lt; void,GdaDsnInfo* &gt; Gnome::Gda::Config::signal_dsn_added </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Slot Prototype:</dt><dd><code>void on_my_dsn_added(GdaDsnInfo* info)</code> </dd></dl>

</div>
</div>
<a class="anchor" id="a55a690e6540928812c8b63fa03855a52"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1SignalProxy1.html">Glib::SignalProxy1</a>&lt; void,GdaDsnInfo* &gt; Gnome::Gda::Config::signal_dsn_changed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Slot Prototype:</dt><dd><code>void on_my_dsn_changed(GdaDsnInfo* info)</code> </dd></dl>

</div>
</div>
<a class="anchor" id="acc9b066345330c7010deec48ac7204e5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1SignalProxy1.html">Glib::SignalProxy1</a>&lt; void,GdaDsnInfo* &gt; Gnome::Gda::Config::signal_dsn_removed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Slot Prototype:</dt><dd><code>void on_my_dsn_removed(GdaDsnInfo* info)</code> </dd></dl>

</div>
</div>
<a class="anchor" id="a356d69a8355f0ba7403ee9b6c7c1e56e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1SignalProxy1.html">Glib::SignalProxy1</a>&lt; void,GdaDsnInfo* &gt; Gnome::Gda::Config::signal_dsn_to_be_removed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Slot Prototype:</dt><dd><code>void on_my_dsn_to_be_removed(GdaDsnInfo* info)</code> </dd></dl>

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a class="anchor" id="a9cc59aee36fd6f4f7e2e8a2fb2661993"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1RefPtr.html">Glib::RefPtr</a>&lt; <a class="el" href="classGnome_1_1Gda_1_1Config.html">Gnome::Gda::Config</a> &gt; wrap </td>
          <td>(</td>
          <td class="paramtype">GdaConfig *&#160;</td>
          <td class="paramname"><em>object</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>take_copy</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">related</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A <a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/namespaceGlib.html#a671306f4a3a0cae5ab4d7a9d54886592">Glib::wrap()</a> method for this object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">object</td><td>The C instance. </td></tr>
    <tr><td class="paramname">take_copy</td><td>False if the result should take ownership of the C instance. True if it should take a new copy or ref. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A C++ instance that wraps this C instance. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>libgdamm/config.h</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 4 2015 15:04:40 for libgdamm by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.9.1
</small></address>
</body>
</html>
